Paiements
Renvoyer le lien de paiement d'un avenant
Authorization
bearerAuth BROKER_ADMIN, SOUSCRIPTEUR, BROKER_USER, ACCOUNTANTAuthorizationBearer <token>
Jeton obtenu via POST /provider/token. Les valeurs listées par opération sont les rôles acceptés.
In: header
Scope: BROKER_ADMIN, SOUSCRIPTEUR, BROKER_USER, ACCOUNTANT
Path Parameters
endorsementId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://apigw-pp.pooltpv.app/subscription/api/v1/provider/endorsements/string/payment/resend" \ -H "Content-Type: application/json" \ -d '{ "channels": [ "EMAIL", "SMS" ], "email": "client@example.com", "phone": "+2250700000000" }'{
"success": true,
"message": "Lien renvoyé",
"data": [
{
"channel": "EMAIL",
"recipient": "client@example.com",
"sent": true,
"sentAt": "2026-10-06T08:40:12"
}
]
}{
"status": 404,
"title": "Élément introuvable",
"detail": "Contract not found",
"exception": "CONTRACT_NOT_FOUND",
"instance": "/api/v1/provider/contracts/abc",
"details": {
"property1": "string",
"property2": "string"
}
}{
"status": 404,
"title": "Élément introuvable",
"detail": "Contract not found",
"exception": "CONTRACT_NOT_FOUND",
"instance": "/api/v1/provider/contracts/abc",
"details": {
"property1": "string",
"property2": "string"
}
}{
"status": 404,
"title": "Élément introuvable",
"detail": "Contract not found",
"exception": "CONTRACT_NOT_FOUND",
"instance": "/api/v1/provider/contracts/abc",
"details": {
"property1": "string",
"property2": "string"
}
}{
"status": 404,
"title": "Élément introuvable",
"detail": "Contract not found",
"exception": "CONTRACT_NOT_FOUND",
"instance": "/api/v1/provider/contracts/abc",
"details": {
"property1": "string",
"property2": "string"
}
}